That message is telling you that the Personal Package Archive (PPA) for ubuntugis does not exist for Ubuntu 22.04 (Jammy). This page confirms it.
...